import java.util.Random;


public class AtaquePoderoso extends AcaoAbstrata {

    Random dado;

    public AtaquePoderoso() {
	
	this( 1, 0 );
    }

    public AtaquePoderoso( int alcance, int extensao ) {

	super( "AtaquePoderoso", alcance, 
               PadraoEsfera.recuperaPadrao(), extensao );
	
	dado = new Random();
    }
    
    public void executa( Unidade paciente ) {

        System.out.println( agente.recuperaNome() + 
                            " ataca violentamente " +
                            paciente.recuperaNome() );
	
	if( agente.recuperaPrecisao() > dado.nextInt( 150 ) ) {
	    int dano =  dado.nextInt( 31 ) + 10;
	    System.out.println( "causando " + dano + " pontos de dano" );
	    paciente.ajustaPontosDeVida( (-1) * ( dano ) ); 
	}
        else {
            System.out.println( "mas erra..." );
        }

        System.out.println( "pontosDeVida -> " + 
                            paciente.recuperaPontosDeVida() 
                            + "\n" );
    }
}
