import java.util.Random;


public class BolaDeFogo extends AcaoAbstrata {

    Random dado;

    public BolaDeFogo() {
	
	this( 3, 1 );
    }

    public BolaDeFogo( int alcance, int extensao ) {

	super( "Bola de Fogo", alcance, 
               PadraoEsfera.recuperaPadrao(), extensao );
	
	dado = new Random();
    }

    public void executa( Unidade paciente ) {

	int dano = dado.nextInt( 10 ) + 1 ;
        System.out.println( paciente.recuperaNome() + 
                            " toma " + dano + 
			    " pontos de dano pela bola de fogo de " + 
                            agente.recuperaNome() );
		
        paciente.ajustaPontosDeVida( (-1) * ( dano ) ); 
        
        System.out.println( "pontosDeVida -> " + 
                            paciente.recuperaPontosDeVida() 
                            + "\n" );
    }
}
