import java.util.Random;

public class Bomba extends AcaoAbstrata {
    
    Random dado;

    public Bomba() {
	
	this( 2, 1 );
    }

    public Bomba( int alcance, int extensao ) {

	super( "Bomba", alcance, 
               PadraoEsfera.recuperaPadrao(), extensao );
	
	dado = new Random();
    }
    
    public void executa( Unidade paciente ) {

	int dano = dado.nextInt( 10 ) + 1 ;
        System.out.println( paciente.recuperaNome() + 
                            " toma " + dano + 
			    " pontos de dano pela bomba de " + 
                            agente.recuperaNome() );
		
        paciente.ajustaPontosDeVida( (-1) * ( dano ) ); 
        
        System.out.println( "pontosDeVida -> " + 
                            paciente.recuperaPontosDeVida() 
                            + "\n" );
    }
}
