import java.util.Random;

/**
 * 
 * @version 1.0
 * @author Alex Minoru Kusano & Marcos Roberto Yukio Koga
 */
public class Cegar extends AcaoAbstrata {

    Random dado;

    public Cegar() {
	
	this( 3, 1 );
    }

    public Cegar( int alcance, int extensao ) {
        
	super( "Cegar", alcance, 
               PadraoDiamante.recuperaPadrao(), extensao );
	
	dado = new Random();
    }

    public void executa( Unidade paciente ) {

	System.out.println( paciente.recuperaNome() + 
                            "  afetado pelo cegar de " +
                            agente.recuperaNome() );
	
	paciente.ajustaPrecisao( (-1) * ( dado.nextInt( 25 ) + 1 ) );
	if ( paciente.recuperaPrecisao() < 20 ) {
	    paciente.alteraPrecisao( 20 );
	}
        System.out.println( "precisao -> " + 
                            paciente.recuperaPrecisao() 
                            + "\n" );
    }
}
