
/**
 * Interface para o participante subject do padrao Observer
 * @version 1.0
 * @author Alex Minoru Kusano & Marcos Roberto Yukio Koga
 */
public interface Observado {
    
    /** adiciona um novo observador ao objeto */
    public abstract void adicionaObservador( Observador observador ) ;

    /** remove um observador do objeto */
    public abstract void removeObservador( Observador observador );

    /** notifica todos os observadores da lista para tomarem um atitude */
    //protected abstract void notificaObservadores( Object estado );
}
