import java.util.Random;

public class Paulada extends AcaoAbstrata {

    Random dado;

    public Paulada() {
	
	this( 1, 0 );
    }

    public Paulada( int alcance, int extensao ) {

	super( "Paulada", alcance, 
               PadraoEsfera.recuperaPadrao(), extensao );
	
	dado = new Random();
    }
    
    public void executa( Unidade paciente ) {

        System.out.println( paciente.recuperaNome() +
                            " levou paulada de " +
                            agente.recuperaNome() );
	
        paciente.ajustaPontosDeVida( (-1) * ( dado.nextInt( 15 ) + 1 ) ); 
	
        System.out.println( "pontosDeVida -> " + 
                            paciente.recuperaPontosDeVida() 
                            + "\n" );
    }
}
