import java.util.Random;


public class TempestadeDeGelo extends AcaoAbstrata {

    Random dado;

    public TempestadeDeGelo() {
	
	this( 4, 2 );
    }

    public TempestadeDeGelo( int alcance, int extensao ) {

	super( "Tempestade de Gelo", alcance, 
               PadraoDiamante.recuperaPadrao(), extensao );
	
	dado = new Random();
    }

    public void executa( Unidade paciente ) {

	int dano = dado.nextInt( 5 ) + 1 ;
        System.out.println( paciente.recuperaNome() + 
                            " toma " + dano + 
			    " pontos de dano pela tempestade de gelo de " + 
                            agente.recuperaNome() );
		
        paciente.ajustaPontosDeVida( (-1) * ( dano ) ); 
        
        System.out.println( "pontosDeVida -> " + 
                            paciente.recuperaPontosDeVida() 
                            + "\n" );
    }
}
