import java.util.Random;


public class Dardo extends AcaoAbstrata {

    Random dado;

    public Dardo() {
	
	this( 2, 0 );
    }

    public Dardo( int alcance, int extensao ) {

	super( "Dardo", alcance, 
               PadraoEsfera.recuperaPadrao(), extensao );
	
	dado = new Random();
    }
    
    public void executa( Unidade paciente ) {

        System.out.println( agente.recuperaNome() + 
                            " arremessa um dardo em  " +
                            paciente.recuperaNome() );
	
	if( agente.recuperaPrecisao() > dado.nextInt( 100 ) ) {
	    int dano =  dado.nextInt( 13 ) + 3;
	    System.out.println( "causando " + dano + " pontos de dano" );
	    paciente.ajustaPontosDeVida( (-1) * ( dano ) ); 
	}
        else {
            System.out.println( "mas erra..." );
        }

        System.out.println( "pontosDeVida -> " + 
                            paciente.recuperaPontosDeVida() 
                            + "\n" );
    }
}
