
/**
 * 
 * @version 1.0
 * @author Alex Minoru Kusano & Marcos Roberto Yukio Koga
 */
public class Setor {

    /** referencia para a unidade que se encontra nesse no */
    private Unidade unidade;

    /** custo de unidades de movimento, isso representa a dificuldade 
     que uma unidade tem para se locomover nesse terreno */
    private int custoDeMovimento;

    public Setor() {
	this( 1 ); 
    }
    
    public Setor( int custoDeMovimento ) {
	
	this.custoDeMovimento = custoDeMovimento;
    }

    public boolean estaVazio() {
	
	return ( unidade == null )
    }

    public Unidade recuperaUnidade() {
    
	return unidade;
    }

    public void removeUnidade() {
	
	unidade = null;
    }

    /**
     * coloca uma unidade no no' se ja nao houver uma
     * @param unidade unidade a ser inserida no no' 
     * @return retorna verdadeiro se a unidade pode ser alterada com sucesso
     */
    public boolean alteraUnidade( Unidade unidade) {
	
	if( estaVazio() ) {
	    this.unidade = unidade;
	    return true;
	}
	else {
	    return false;
	}
    }
}
