import java.util.ArrayList;
import java.util.Collection;

public class PadraoEsfera implements PadraoDoEfeito {

    public static PadraoEsfera instancia;

    private PadraoEsfera() {
    }
    
    public static PadraoEsfera recuperaPadrao() {
        
        if( instancia == null ) {
            
            instancia = new PadraoEsfera();
        }
        return instancia;
    }

    public Collection calculaArea( int extensao ) {
        
        ArrayList retorno = new ArrayList();
        
        for( int i = -extensao; i <= extensao; i++ ) {
            for( int j = -extensao; j <= extensao; j++ ) {
                retorno.add( new Coordenada( j, i ) );
            }
        }
        return retorno;
    }
}
